s_copysign.c File Reference
`#include "math_libm.h"`
`#include "math_private.h"`
Include dependency graph for s_copysign.c:

Go to the source code of this file.

## Functions

| libm_hidden_proto (copysign)

## Function Documentation

libm_hidden_proto | ( | copysign |  | ) |

Definition at line 27 of file s_copysign.c.

References copysign, GET_HIGH_WORD, libm_hidden_def, and SET_HIGH_WORD.

{
u_int32_t hx, hy;
GET_HIGH_WORD(hx, x);
GET_HIGH_WORD(hy, y);
SET_HIGH_WORD(x, (hx & 0x7fffffff) | (hy & 0x80000000));
return x;
}
GET_HIGH_WORD
#define GET_HIGH_WORD(i, d)
Definition: math_private.h:103
x
GLint GLint GLint GLint GLint x
Definition: SDL_opengl.h:1567
SET_HIGH_WORD
#define SET_HIGH_WORD(d, v)
Definition: math_private.h:131
u_int32_t
unsigned int u_int32_t
Definition: math_private.h:29
y
GLint GLint GLint GLint GLint GLint y
Definition: SDL_opengl.h:1567